Apply by doing:
	cd /usr/src
	patch -p0 < 009_mpi.patch

Then build and install a new kernel.

Index: sys/dev/ic/mpi.c
===================================================================
RCS file: /cvs/src/sys/dev/ic/mpi.c,v
retrieving revision 1.110
retrieving revision 1.110.4.1
diff -u -p -r1.110 -r1.110.4.1
--- sys/dev/ic/mpi.c	6 Mar 2009 01:28:44 -0000	1.110
+++ sys/dev/ic/mpi.c	4 Apr 2010 11:37:56 -0000	1.110.4.1
@@ -1,4 +1,4 @@
-/*	$OpenBSD: mpi.c,v 1.110 2009/03/06 01:28:44 krw Exp $ */
+/*	$OpenBSD: mpi.c,v 1.110.4.1 2010/04/04 11:37:56 dlg Exp $ */
 
 /*
  * Copyright (c) 2005, 2006 David Gwynne <dlg@openbsd.org>
@@ -2605,7 +2605,7 @@ mpi_bio_get_pg0_raid(struct mpi_softc *s
 	/* replace current buffer with new one */
 	len = sizeof *rpg0 + sc->sc_vol_page->max_physdisks *
 	    sizeof(struct mpi_cfg_raid_vol_pg0_physdisk);
-	rpg0 = malloc(len, M_TEMP, M_WAITOK | M_CANFAIL);
+	rpg0 = malloc(len, M_DEVBUF, M_WAITOK | M_CANFAIL);
 	if (rpg0 == NULL) {
 		printf("%s: can't get memory for RAID page 0, "
 		    "bio disabled\n", DEVNAME(sc));
